biber (2.20-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 26 May 2024 16:50:59 +0200

biber (2.20-1) experimental; urgency=medium

  * New upstream release, disable upstreamed patch.
  * Bump Breaks version of texlive-bibtex-extra.
  * Bump Standards version, no changes needed.

 -- Hilmar Preusse <hille42@web.de>  Sun, 21 Apr 2024 23:30:39 +0200

biber (2.19-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 27 Aug 2023 23:42:30 +0200

biber (2.19-1) experimental; urgency=medium

  * New upstream release.
  * Breaks to older texlive-bibtex-extra, make sure new biblatex
    is installed.
  * Run luatex twice when building the documentation (Closes: #1034383).
  * Mark Debian-specific patches as "Forwarded: not-needed" in metadata.
  * Remove obsolete patches.

 -- Hilmar Preusse <hille42@web.de>  Wed, 21 Jun 2023 10:23:24 +0200

biber (2.18-1) unstable; urgency=medium

  * New upstream release, bump Breaks version of texlive-bibtex-extra.
  * Refresh patches, disable patches applied in upstream.

 -- Hilmar Preusse <hille42@web.de>  Sun, 24 Jul 2022 13:53:19 +0200

biber (2.17-3) unstable; urgency=medium

  * Copy commit 54a68aa and (partial) ccd7a44 from upstream. This
    solves many warnings during run time (Closes: #1006626).
  * Add the new package libencode-eucjpascii-perl to BD & Dep
    to get rid of a build warning.

 -- Hilmar Preusse <hille42@web.de>  Tue, 22 Mar 2022 23:26:22 +0100

biber (2.17-2) unstable; urgency=medium

  * Add "Restrictions: build-needed" for test suite.
  * Breaks to older texlive-bibtex-extra, make sure new biblatex
    is installed (Closes: #1004671).

 -- Hilmar Preusse <hille42@web.de>  Fri, 04 Feb 2022 22:56:25 +0100

biber (2.17-1) unstable; urgency=medium

  * New upstream release, disable / update applied patches.
  * Lintian fixes & overrides.
  * Standards Version 4.6.0, no changes needed.
  * Do not execute test suite during build, turn it into autopkg test.

 -- Hilmar Preusse <hille42@web.de>  Fri, 28 Jan 2022 22:55:58 +0100

biber (2.16-2) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Move links/install overrides from d/rules into separate files.
  * Call lualatex w/ option --utc when building doc (see #990999).
  * Add patch "reproducible builds: timezone-specific timestamps in PDF".
    (Closes: #990999)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libconfig-autoconf-perl,
      libextutils-libbuilder-perl, liblingua-translit-perl,
      libtest-pod-coverage-perl and libtest-pod-perl.
    + biber: Drop versioned constraint on liblingua-translit-perl and
      libunicode-collate-perl in Depends.

 -- Hilmar Preusse <hille42@web.de>  Fri, 31 Dec 2021 13:51:21 +0100

biber (2.16-1) unstable; urgency=medium

  * New upstream release: refresh patches.
  * Standards version 4.5.1, no changes needed.
  * Tighten BD libunicode-collate-perl (>= 1.29).
  * Add libio-string-perl to BD.

  * Lintian:
    - E: malformed-override: Unknown tag versioned-dependency-satisfied-by-perl
    - W: bad-whatis-entry
    - I: debian-watch-contains-dh_make-template
    - I: typo-in-manual-page
    - I: patch-not-forwarded-upstream
    - P: silent-on-rules-requiring-root
    - P: duplicate-in-relation-field
    - P: package-uses-old-debhelper-compat-version

 -- Hilmar Preusse <hille42@web.de>  Sat, 09 Jan 2021 17:57:45 +0100

biber (2.15-1) unstable; urgency=medium

  * New upstream version 2.15
  * update patches
  * bump standards version, no changes necessary

 -- Norbert Preining <norbert@preining.info>  Fri, 21 Aug 2020 17:08:40 +0900

biber (2.14+1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Hilmar Preusse ]
  * Copy file lib/Biber/Output/bblxml.pm from upstream.
    First attempt for #968200.
  * Clean up some files created during build.

  [ Norbert Preining ]
  * Import release 2.14+1 which comes from github and has
    lib/Biber/Output/bblxml.pm included (Closes: #968200).

 -- Norbert Preining <norbert@preining.info>  Wed, 12 Aug 2020 09:42:03 +0900

biber (2.14-1) unstable; urgency=medium

  * New upstream version 2.14
  * adjust (b-)depends
  * break against TL version with current biblatex
  * update patches

 -- Norbert Preining <norbert@preining.info>  Mon, 09 Dec 2019 10:29:05 +0900

biber (2.13-1) unstable; urgency=medium

  * New upstream version 2.13
  * break against tl with old biblatex
  * update/cleanup patches

 -- Norbert Preining <norbert@preining.info>  Fri, 30 Aug 2019 10:35:12 +0900

biber (2.12-3) unstable; urgency=medium

  * Add me to list of Uploaders.
  + Add patch from upstream to fix FTBFS with higher versions of
    libunicode-collate-perl (Closes: #929197).

 -- Hilmar Preusse <hille42@web.de>  Tue, 30 Jul 2019 23:23:41 +0200

biber (2.12-2) unstable; urgency=medium

  * update VCS and my email

 -- Norbert Preining <norbert@preining.info>  Thu, 28 Feb 2019 23:39:35 +0900

biber (2.12-1) unstable; urgency=medium

  * New upstream version 2.12
  * unfuzzify patches
  * bump standards version, no changes necessary
  * tighten breaks against tl-bibtex-extra with correct biblatex version

 -- Norbert Preining <preining@debian.org>  Mon, 05 Nov 2018 13:41:40 +0900

biber (2.11-2) unstable; urgency=medium

  * TeX Live 2018 release

 -- Norbert Preining <preining@debian.org>  Mon, 16 Apr 2018 13:24:10 +0900

biber (2.11-1) experimental; urgency=medium

  * New upstream version 2.11
  * switch vcs to salsa
  * update patches
  * bump conflicts against TL << 2018

 -- Norbert Preining <preining@debian.org>  Mon, 12 Mar 2018 10:46:00 +0900

biber (2.9-1) unstable; urgency=medium

  * New upstream version 2.8 and 2.9
  * fix unescaped { (Closes: #870617)
  * bump deps for new biber
  * break against TL with old biblatex
  * bump standards version, no changes necessary
  * update/unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Tue, 28 Nov 2017 16:46:42 +0900

biber (2.7-2) unstable; urgency=medium

  * play the libcollate-unicode-perl game (Closes: #852898)

 -- Norbert Preining <preining@debian.org>  Wed, 08 Feb 2017 09:19:07 +0900

biber (2.7-1) unstable; urgency=medium

  * New upstream version 2.7
  * update patches
  * break against old versions of biblatex

 -- Norbert Preining <preining@debian.org>  Sun, 22 Jan 2017 22:24:08 +0900

biber (2.6-2) unstable; urgency=high

  * band-aid fix for FTBFS with newer libcollate-unicode-perl (Closes: #843711)

 -- Norbert Preining <preining@debian.org>  Thu, 10 Nov 2016 00:55:23 +0900

biber (2.6-1) unstable; urgency=medium

  * New upstream version 2.6
  * bump deps on perl to 5.24
  * cleanup and adjust patches
  * break against older version of tl-bibtex-extra which ships biblatex
  * add several new (build-)deps
  * fixup the test as one fails

 -- Norbert Preining <preining@debian.org>  Thu, 29 Sep 2016 16:26:57 +0900

biber (2.5-1) unstable; urgency=medium

  * Imported Upstream version 2.5
  * update patches
  * fix documentation .tex file to compile
  * build pdf during package build time, adjust build-deps
  * bump standards version, no changes necessary
  * break against texlive-bibtex-extra << 2016

 -- Norbert Preining <preining@debian.org>  Wed, 25 May 2016 10:51:32 +0900

biber (2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.4
  * update patches to new release
  * add libdata-uniqid-perl, libclass-accessor-perl to deps
  * bump standards version, no changes necessary
  * update watch file

 -- Norbert Preining <preining@debian.org>  Thu, 17 Mar 2016 14:31:19 +0900

biber (2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.3
  * update patches to new upstream release

 -- Norbert Preining <preining@debian.org>  Sat, 16 Jan 2016 00:43:02 +0900

biber (2.1-3) unstable; urgency=medium

  [ Hilmar Preuße ]
  * Add patch to fix FTBS when using Perl 5.22 (Closes: #796944)

 -- Norbert Preining <preining@debian.org>  Sat, 29 Aug 2015 12:48:40 +0900

biber (2.1-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 15:16:30 +0900

biber (2.1-1) experimental; urgency=medium

  * Imported Upstream version 2.1
  * update gbp config file
  * update patches for new release
  * various build-dep updates:
    - add libmodule-build-perl (Closes: #788887)
    - libtext-roman-perl (also deps), libtest-differences-perl
  * break against texlive-bibtex-extra (biblatex) << 2015

 -- Norbert Preining <preining@debian.org>  Tue, 16 Jun 2015 08:52:31 +0900

biber (1.9-3) unstable; urgency=medium

  * cherry pick upstream fix for hyphenation fixes (Closes: #773872)

 -- Norbert Preining <preining@debian.org>  Thu, 25 Dec 2014 08:43:59 +0900

biber (1.9-2) unstable; urgency=medium

  * fix precedence warning (Closes: #764592)
  * tighten build/run deps on perl to 5.16 (Closes: #744275)
  * bump standards version, no changes necessary
  * lintian warning: perl also provides libunicode-collate-perl

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 09:03:38 +0900

biber (1.9-1) unstable; urgency=medium

  * Imported Upstream version 1.9 (Closes: #753331)
  * bump dependencies' version infor according to upstream
  * break against 2013's texlive-bibtex-extra
  * remove readonly-xs-perl recommends, following upstream
  * completely remove the Mozilla-CA based code instead of patching it.
    There is fallback code that already checks for the right place
    of certificates.
  * add a patch to add missing use File::Slurp;

 -- Norbert Preining <preining@debian.org>  Tue, 01 Jul 2014 09:00:56 +0900

biber (1.8-1) unstable; urgency=low

  * install documentation for biber (biber.pdf) (Closes: #689201)
  * Imported Upstream version 1.8 (Closes: #734413)
  * update mozilla patch, drop upstream included patches
  * bump standards version, no changes necessary
  * add libtest-pod-coverage-perl to build-deps
  * update vcs fields to new location
  * new patch fix-xpathcontext - thanks to Don Armstrong

 -- Norbert Preining <preining@debian.org>  Wed, 08 Jan 2014 07:14:18 +0900

biber (1.7-2) unstable; urgency=low

  * replace recommends: biblatex -> texlive-bibtex-extra, biblatex* will
    be removed from the archive
  * break against biblatex (<< 2) (Closes: #722727)

 -- Norbert Preining <preining@debian.org>  Sun, 15 Sep 2013 09:32:04 +0900

biber (1.7-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Xavier Guimard ]
  * Update debian/watch

  [ Danai SAE-HAN (韓達耐) ]
  * New upstream release 1.7:
    - There are a lot of changes and updates since the last Debian
      package (v0.9.9).  I thoroughly recommend to have a look at
      the upstream changelog which you can find under
      /usr/share/doc/biber/changelog.gz
    - Some highlights are:
      + A number of options have changed names; ATM the old ones are
        still supported.
      + Works with biblatex v2.5.
      + A new "tool" mode which takes a data source as argument and
        just performs reencoding, source mappings etc.
      + Extra disambiguation trackers for labels and titles.
      + Sorting per list enabled for biblatex v2.0.
  * [debian/gbp.conf] Use "upstream" as the upstream branch instead
     of "upstream/dev".
  * [debian/control]
      + Update the dependencies.
      + Bump dependency to Perl 5.16+;
  * [debian/patches/01_remove_dependency_mozilla_ca.patch]
      + Refresh the patch.

  [ Axel Beckert ]
  * Fix Vcs-Browser header (Closes: #710246)

  [ Norbert Preining ]
  * rebuild the git repository
  * update patches to current biber
  * include a patch from upstream (to be in 1.8) to remove dependency
    on Data::Diver and switch to autovivification module, edit control
  * add more build-deps and (run) deps
  * add myself to the uploaders
  * add a patch taken from OpenSuSE to ensure tests succeed with perl 5.18
    randomization of hash keys (thanks Werner Fink)
  * bump standards version to 3.9.4, no changes necessary
  * fix lintian warnings
  * switch maintainers to the Debian TeX Group

 -- Norbert Preining <preining@debian.org>  Mon, 02 Sep 2013 11:35:57 +0900

biber (0.9.9+git2012426-3) unstable; urgency=low

  * Team upload.

  * [be7b51b1] Add tons of build dependencies (closes: #676051).
  * [bff7c405] Don't run test that needs network access.
  * [013530f2] Remove unneeded version constraints from (build)
               dependencies.
  * [ca6a3c84] debian/copyright: update to Copyright-Format 1.0.
  * [e533f233] Add DEP3 headers to patch.
  * [7c5c1e4e] Add patches to fix spelling mistakes and add missing whatis
               entries in POD.

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Jun 2012 21:24:53 +0200

biber (0.9.9+git2012426-2) unstable; urgency=low

  * [copyright] Add the full Artistic-2 license and add Francois Charette
     as copyright holder.  Thanks to Ansgar Burchardt.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sun, 03 Jun 2012 12:04:30 +0800

Biber (0.9.9+git2012426-1) unstable; urgency=low

  * Initial Release.
  * Closing ITP bug report (Closes: #570018).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Tue, 01 May 2012 12:47:55 +0200
